> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stigg.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of plan entitlements

> Retrieves a list of entitlements for a plan.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/stigg/openapi.documented.yml get /api/v1/plans/{planId}/entitlements
openapi: 3.0.0
info:
  title: Stigg API
  description: Stigg API documentation
  version: 7.64.2
  contact: {}
servers:
  - url: https://api.stigg.io
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Customers
    description: Operations related to customers
  - name: Subscriptions
    description: Operations related to subscriptions
  - name: Coupons
    description: Operations related to coupons
  - name: Bulk Import
    description: Operations related to import of customers and subscriptions
  - name: Usage
    description: Operations related to usage & metering
  - name: Promotional Entitlements
    description: Operations related to promotional entitlements
  - name: Products
    description: Operations related to products
  - name: Features
    description: Operations related to features
  - name: Addons
    description: Operations related to addons
  - name: Plans
    description: Operations related to plans
  - name: Credit grants
    description: Operations related to credit grants
  - name: Credit ledger
    description: Operations related to credit ledger
  - name: Custom currencies
    description: Operations related to custom currencies
paths:
  /api/v1/plans/{planId}/entitlements:
    get:
      tags:
        - Plan Entitlements
      summary: Get a list of plan entitlements
      description: Retrieves a list of entitlements for a plan.
      operationId: PlanEntitlementsController_listEntitlements
      parameters:
        - name: planId
          required: true
          in: path
          description: The plan ID
          schema:
            minLength: 1
            maxLength: 255
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
            type: string
        - name: X-ACCOUNT-ID
          in: header
          description: >-
            Account ID — optional when authenticating with a user JWT (Bearer
            token); falls back to the user's first membership. Ignored for
            API-key auth.
          required: false
          schema:
            type: string
        - name: X-ENVIRONMENT-ID
          in: header
          description: >-
            Environment ID — required when authenticating with a user JWT
            (Bearer token) on environment-scoped endpoints. Ignored for API-key
            auth (env is intrinsic to the key).
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of plan entitlement objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanEntitlementListResponseDto'
              examples:
                default:
                  value:
                    data:
                      - id: feature-advanced-analytics
                        description: Access to advanced analytics
                        isGranted: true
                        isCustom: false
                        order: 0
                        behavior: Increment
                        hiddenFromWidgets: []
                        displayNameOverride: null
                        createdAt: '2025-10-26T10:00:00.000Z'
                        updatedAt: '2025-10-26T10:00:00.000Z'
                        type: FEATURE
                        usageLimit: 100
                        hasUnlimitedUsage: false
                        hasSoftLimit: false
                        resetPeriod: null
                        resetPeriodConfiguration: null
                        enumValues: null
                    pagination:
                      next: c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f
                      prev: a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b
        '400':
          description: bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadInputErrorResponseDto'
        '401':
          description: User is not authenticated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedErrorResponseDto'
        '403':
          description: User is not allowed to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponseDto'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Stigg from '@stigg/typescript';


            const client = new Stigg({
              apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
            });


            const entitlements = await
            client.v1.plans.entitlements.list('planId');


            console.log(entitlements.data);
        - lang: Python
          source: |-
            import os
            from stigg import Stigg

            client = Stigg(
                api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
            )
            entitlements = client.v1.plans.entitlements.list(
                plan_id="planId",
            )
            print(entitlements.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stiggio/stigg-go\"\n\t\"github.com/stiggio/stigg-go/option\"\n)\n\nfunc main() {\n\tclient := stigg.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tentitlements, err := client.V1.Plans.Entitlements.List(\n\t\tcontext.TODO(),\n\t\t\"planId\",\n\t\tstigg.V1PlanEntitlementListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", entitlements.Data)\n}\n"
        - lang: Java
          source: >-
            package io.stigg.example;


            import io.stigg.client.StiggClient;

            import io.stigg.client.okhttp.StiggOkHttpClient;

            import io.stigg.models.v1.plans.entitlements.EntitlementListParams;

            import
            io.stigg.models.v1.plans.entitlements.EntitlementListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    StiggClient client = StiggOkHttpClient.fromEnv();

                    EntitlementListResponse entitlements = client.v1().plans().entitlements().list("planId");
                }
            }
        - lang: Ruby
          source: |-
            require "stigg"

            stigg = Stigg::Client.new(api_key: "My API Key")

            entitlements = stigg.v1.plans.entitlements.list("planId")

            puts(entitlements)
        - lang: C#
          source: >-
            using System;

            using Stigg.Client;

            using Stigg.Client.Models.V1.Plans.Entitlements;


            StiggClient client = new();


            EntitlementListParams parameters = new() { PlanID = "planId" };


            var entitlements = await
            client.V1.Plans.Entitlements.List(parameters);


            Console.WriteLine(entitlements);
        - lang: CLI
          source: |-
            stigg v1:plans:entitlements list \
              --api-key 'My API Key' \
              --plan-id planId
components:
  schemas:
    PlanEntitlementListResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            discriminator:
              propertyName: type
            oneOf:
              - type: object
                properties:
                  id:
                    type: string
                    maxLength: 255
                    description: Unique identifier of the entitlement
                  description:
                    type: string
                    maxLength: 255
                    description: Optional description of the entitlement
                    nullable: true
                  isGranted:
                    type: boolean
                    description: Whether the entitlement is granted
                  isCustom:
                    type: boolean
                    description: Whether this is a custom entitlement
                    nullable: true
                  order:
                    type: number
                    description: Display order of the entitlement
                    nullable: true
                  behavior:
                    type: string
                    enum:
                      - Increment
                      - Override
                    description: Entitlement behavior (Increment or Override)
                  hiddenFromWidgets:
                    type: array
                    items:
                      type: string
                      enum:
                        - PAYWALL
                        - CUSTOMER_PORTAL
                        - CHECKOUT
                    description: Widget types where this entitlement is hidden
                  displayNameOverride:
                    type: string
                    maxLength: 255
                    description: Override display name for the entitlement
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                    description: Timestamp of when the record was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: Timestamp of when the record was last updated
                  type:
                    type: string
                    enum:
                      - FEATURE
                    description: Entitlement type (FEATURE or CREDIT)
                  usageLimit:
                    type: number
                    description: Usage limit (for feature entitlements)
                    nullable: true
                  hasUnlimitedUsage:
                    type: boolean
                    description: Whether usage is unlimited (for feature entitlements)
                    nullable: true
                  hasSoftLimit:
                    type: boolean
                    description: >-
                      Whether the usage limit is a soft limit (for feature
                      entitlements)
                    nullable: true
                  resetPeriod:
                    type: string
                    enum:
                      - YEAR
                      - MONTH
                      - WEEK
                      - DAY
                      - HOUR
                    nullable: true
                    description: Usage reset period (for feature entitlements)
                  resetPeriodConfiguration:
                    oneOf:
                      - type: object
                        properties:
                          accordingTo:
                            type: string
                            enum:
                              - SubscriptionStart
                            description: Reset anchor (SubscriptionStart)
                        required:
                          - accordingTo
                        title: YearlyResetPeriodConfig
                        description: Yearly reset configuration
                      - type: object
                        properties:
                          accordingTo:
                            type: string
                            enum:
                              - SubscriptionStart
                              - StartOfTheMonth
                            description: >-
                              Reset anchor (SubscriptionStart or
                              StartOfTheMonth)
                        required:
                          - accordingTo
                        title: MonthlyResetPeriodConfig
                        description: Monthly reset configuration
                      - type: object
                        properties:
                          accordingTo:
                            type: string
                            enum:
                              - SubscriptionStart
                              - EverySunday
                              - EveryMonday
                              - EveryTuesday
                              - EveryWednesday
                              - EveryThursday
                              - EveryFriday
                              - EverySaturday
                            description: Reset anchor (SubscriptionStart or specific day)
                        required:
                          - accordingTo
                        title: WeeklyResetPeriodConfig
                        description: Weekly reset configuration
                    nullable: true
                    description: Reset period configuration (for feature entitlements)
                  enumValues:
                    type: array
                    items:
                      type: string
                      maxLength: 255
                      description: Allowed enum values (for feature entitlements)
                    nullable: true
                    description: Allowed enum values (for feature entitlements)
                required:
                  - id
                  - description
                  - isGranted
                  - isCustom
                  - order
                  - behavior
                  - hiddenFromWidgets
                  - displayNameOverride
                  - createdAt
                  - updatedAt
                  - type
                  - usageLimit
                  - hasUnlimitedUsage
                  - hasSoftLimit
                  - resetPeriod
                  - resetPeriodConfiguration
                  - enumValues
                title: FeatureEntitlementResponse
                description: Feature entitlement response
              - type: object
                properties:
                  id:
                    type: string
                    maxLength: 255
                    description: Unique identifier of the entitlement
                  description:
                    type: string
                    maxLength: 255
                    description: Optional description of the entitlement
                    nullable: true
                  isGranted:
                    type: boolean
                    description: Whether the entitlement is granted
                  isCustom:
                    type: boolean
                    description: Whether this is a custom entitlement
                    nullable: true
                  order:
                    type: number
                    description: Display order of the entitlement
                    nullable: true
                  behavior:
                    type: string
                    enum:
                      - Increment
                      - Override
                    description: Entitlement behavior (Increment or Override)
                  hiddenFromWidgets:
                    type: array
                    items:
                      type: string
                      enum:
                        - PAYWALL
                        - CUSTOMER_PORTAL
                        - CHECKOUT
                    description: Widget types where this entitlement is hidden
                  displayNameOverride:
                    type: string
                    maxLength: 255
                    description: Override display name for the entitlement
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                    description: Timestamp of when the record was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: Timestamp of when the record was last updated
                  type:
                    type: string
                    enum:
                      - CREDIT
                    description: Entitlement type (FEATURE or CREDIT)
                  amount:
                    type: number
                    description: Credit amount (for credit entitlements)
                    nullable: true
                  cadence:
                    type: string
                    enum:
                      - MONTH
                      - YEAR
                    nullable: true
                    description: Credit grant cadence (for credit entitlements)
                  hasSoftLimit:
                    type: boolean
                    description: >-
                      Whether the credit wallet is soft-limited. When true,
                      getEntitlement returns hasAccess=true past the limit;
                      vendors decide whether to enforce. Defaults to false.
                    nullable: true
                  dependencyFeatureId:
                    type: string
                    maxLength: 255
                    minLength: 1
                    pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
                    description: >-
                      The feature ID this entitlement depends on (for credit
                      entitlements). The entitlement value will be calculated
                      as: base amount × dependency feature usage limit
                    nullable: true
                required:
                  - id
                  - description
                  - isGranted
                  - isCustom
                  - order
                  - behavior
                  - hiddenFromWidgets
                  - displayNameOverride
                  - createdAt
                  - updatedAt
                  - type
                  - amount
                  - cadence
                  - hasSoftLimit
                title: CreditEntitlementResponse
                description: Credit entitlement response
        pagination:
          type: object
          properties:
            next:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the next page of results, or null if no
                additional pages exist
              nullable: true
            prev:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the previous page of results, or null if at
                the beginning
              nullable: true
          required:
            - next
            - prev
          description: Pagination metadata including cursors for navigating through results
      required:
        - data
        - pagination
      title: ListResponse
      description: Response list object
    BadInputErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - BadUserInput
            - DuplicateIntegrationNotAllowed
            - EntityIsArchivedError
            - IntegrityViolation
            - FreePlanCantHaveCompatiblePackageGroupError
            - SubscriptionMustHaveSinglePlanError
            - AddonIsCompatibleWithPlan
            - AddonIsCompatibleWithGroup
            - DuplicateAddonProvisionedError
            - ScheduledMigrationAlreadyExistsError
            - SubscriptionAlreadyOnLatestPlan
            - EntityIdDifferentFromRefIdError
            - UnsupportedFeatureType
            - UnsupportedVendorIdentifier
            - UnsupportedSubscriptionScheduleType
            - InvalidEntitlementResetPeriod
            - IncompatibleSubscriptionAddon
            - UnPublishedPackage
            - MeteringNotAvailableForFeatureType
            - AuthCustomerMismatch
            - AuthCustomerReadonly
            - FetchAllCountriesPricesNotAllowed
            - MemberInvitationError
            - PlansCircularDependencyError
            - NoFeatureEntitlementInSubscription
            - CheckoutIsNotSupported
            - UnsupportedParameter
            - PricingModelNotSupportedByBillingIntegration
            - BillingIntegrationMissing
            - BillingIntegrationAlreadyExistsError
            - InvalidMemberDelete
            - PackageAlreadyPublished
            - DraftPlanCantBeArchived
            - DraftAddonCantBeArchived
            - PlanWithChildCantBeDeleted
            - PlanCannotBePublishWhenBasePlanIsDraft
            - PlanCannotBePublishWhenCompatibleAddonIsDraft
            - PlanIsUsedAsDefaultStartPlan
            - PlanIsUsedAsDowngradePlan
            - InvalidAddressError
            - InvalidQuantity
            - BillingPeriodMissingError
            - DowngradeBillingPeriodNotSupportedError
            - CustomerAlreadyUsesCouponError
            - CustomerAlreadyHaveCustomerCoupon
            - SubscriptionAlreadyCanceledOrExpired
            - TrialMustBeCancelledImmediately
            - SubscriptionDoesNotHaveBillingPeriod
            - InvalidCancellationDate
            - FailedToImportCustomer
            - FailedToImportSubscriptions
            - PackagePricingTypeNotSet
            - InvalidSubscriptionStatus
            - InvalidArgumentError
            - EditAllowedOnDraftPackageOnlyError
            - ResyncAlreadyInProgress
            - ArchivedCouponCantBeApplied
            - ImportAlreadyInProgress
            - AddonHasToHavePriceError
            - SelectedBillingModelDoesntMatchImportedItemError
            - CannotArchiveProductError
            - CannotUnarchiveProductError
            - CannotDeleteCustomerError
            - CannotRemovePaymentMethodFromCustomerError
            - CannotDeleteFeatureError
            - CannotArchiveFeatureError
            - InvalidUpdatePriceUnitAmountError
            - ExperimentAlreadyRunning
            - ExperimentStatusError
            - OperationNotAllowedDuringInProgressExperiment
            - EntitlementsMustBelongToSamePackage
            - CanNotUpdateEntitlementsFeatureGroup
            - MeterMustBeAssociatedToMeteredFeature
            - CannotEditPackageInNonDraftMode
            - CannotAddOverrideEntitlementToPlan
            - MissingEntityIdError
            - NoProductsAvailable
            - PromotionCodeNotForCustomer
            - PromotionCodeNotActive
            - PromotionCodeMaxRedemptionsReached
            - PromotionCodeMinimumAmountNotReached
            - PromotionCodeCustomerNotFirstPurchase
            - AddonWithDraftCannotBeDeletedError
            - CannotReportUsageForEntitlementWithMeterError
            - RecalculateEntitlementsError
            - ImportSubscriptionsBulkError
            - InvalidMetadataError
            - CannotUpsertToPackageThatHasDraft
            - IntegrationValidationError
            - AwsMarketplaceIntegrationValidationError
            - AwsMarketplaceIntegrationError
            - DataExportIntegrationError
            - HubspotIntegrationError
            - DuplicateProductValidationError
            - AmountTooLarge
            - CustomerHasNoEmailAddress
            - MergeEnvironmentValidationError
            - EntitlementLimitExceededError
            - EntitlementUsageOutOfRangeError
            - UsageMeasurementDiffOutOfRangeError
            - AddonQuantityExceedsLimitError
            - AddonDependencyMissingError
            - PackageGroupMinItemsError
            - CannotUpdateUnitTransformationError
            - SingleSubscriptionCantBeAutoCancellationTargetError
            - MultiSubscriptionCantBeAutoCancellationSourceError
            - ChangingPayingCustomerIsNotSupportedError
            - RequiredSsoAuthenticationError
            - InvalidDoggoSignatureError
            - InvalidReceivedSignatureError
            - CannotDeleteDefaultIntegration
            - CannotChangeBillingIntegration
            - FailedToResolveBillingIntegration
            - WorkflowTriggerNotFound
            - DeprecatedEstimateSubscriptionError
            - FeatureConfigurationExceededLimitError
            - FeatureNotBelongToFeatureGroupError
            - FeatureGroupMissingFeaturesError
            - VersionExceedsMaxValueError
            - CannotUpdateExpireAtForExpiredCreditGrantError
            - ExpireAtMustBeLaterThanEffectiveAtError
            - OfferAlreadyExists
            - DraftAlreadyExists
            - CreditGrantAlreadyVoided
            - CreditGrantCannotBeVoided
            - InvalidTaxId
            - ObjectAlreadyBeingUsedByAnotherRequestError
            - TooManySubscriptionsPerCustomer
            - TooManyCustomCurrencies
            - StripeError
            - SchedulingAtEndOfBillingPeriod
            - ApiKeyExpired
            - ApiKeyHasExpiry
          nullable: true
      required:
        - message
        - code
    UnauthenticatedErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - Unauthenticated
          nullable: true
      required:
        - message
        - code
    ForbiddenErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - IdentityForbidden
            - AccessDeniedError
            - NoFeatureEntitlementError
          nullable: true
      required:
        - message
        - code
    TooManyRequestsErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - RateLimitExceeded
          nullable: true
      required:
        - message
        - code
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Server API Key

````